LeetCode:1. 两数之和
在这个方法中,HashMap扮演了非常重要的角色。它允许我们在O(1)时间复杂度内检查一个数是否已经在之前遍历过的元素中出现过,并且还能够获取到这个数在数组中的索引。这种方法比暴力解法(即使用两层循环遍历数组)要高效得多,因为暴力解法的时间复杂度是O(n^2),而这种方法的时间复杂度是O(n)。
来自 姓王者的博客作者主页
以上内容来自博客订阅源,版权归原作者。关注作者后可以在 关注列表 第一时间查看作者文章。
在这个方法中,HashMap扮演了非常重要的角色。它允许我们在O(1)时间复杂度内检查一个数是否已经在之前遍历过的元素中出现过,并且还能够获取到这个数在数组中的索引。这种方法比暴力解法(即使用两层循环遍历数组)要高效得多,因为暴力解法的时间复杂度是O(n^2),而这种方法的时间复杂度是O(n)。
以上内容来自博客订阅源,版权归原作者。关注作者后可以在 关注列表 第一时间查看作者文章。
还没有评论。欢迎分享第一个想法。
登录后,加入这场讨论。
登录参与